package conferenciaBDAlunos;
import java.util.*;

public class Avaliador extends Pessoa{
		
    private String login;
    private String senha;
    private String email;
    private String origem;

    private List<Topico> topicos;
    private List<Revisao> revisoes;

    public Avaliador (String nome, String login, String senha, String email, String origem){
    	super (nome);
    	this.login = login;
    	this.senha = senha;
    	this.email = email;
    	this.origem = origem;
       	this.revisoes = new ArrayList<Revisao>();
    	this.topicos = new ArrayList<Topico>();  
    }    
  
	public void setEmail(String email) {
		this.email = email;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public void setOrigem(String origem) {
		this.origem = origem;
	}

	public String getLogin() {
		return login;
	}

	public void setSenha(String senha) {
		this.senha = senha;
	}

	public String getOrigem() {
		return origem;
	}

	public String getSenha() {
		return senha;
	}

	public String getEmail() {
		return email;
	}

	public List<Topico> getTopicos() {
		return topicos;
	}

	public List<Revisao> getRevisoes() {
		return revisoes;
	}

    public void associaTopico(Topico topico){
    	if (!this.topicos.contains(topico))
	    	this.topicos.add(topico);
    }

    public void associaRevisao(Revisao revisao){
		if (!this.revisoes.contains(revisao))
	    	this.revisoes.add(revisao);
    }
    
    public List<Artigo> retornaArtigosAvaliados(){
    	List<Artigo> artigos = new ArrayList<Artigo>();
    	for (int i=0; i<this.revisoes.size(); i++){
    		Revisao revisao = this.revisoes.get(i);
    		artigos.add(revisao.getArtigo());
    	}
    	return artigos;
    }
    
    public boolean equals (Object obj){
    	if (obj instanceof Avaliador)
        	return this.getNome().equals(((Avaliador)obj).getNome());    		
    	else
    		return false;
    }
        
    public String toString (){
		return this.getNome() + " " + this.email;
	}

}
